Skip to main content
WEBHOOK

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account โ†’ API keys) and are scoped to one organization.

Body

application/json

Details that are sent over to the webhook

id
string
required

The unique identifier for the event.

trigger
enum<string>
required

Trigger. See the schema for its JSON type and allowed values.

Available options:
create.customer_payment,
update.customer_payment,
delete.customer_payment
createdAt
string
required

Timestamp when this record was created in Upwell. It is not the business document date and may be much later when historical data is imported. See createdAt definition.

updatedAt
string
required

Timestamp of the record's latest recorded update in Upwell. It is not a shipment event, payment date, or document revision date. See updatedAt definition.

scheduledAt
string | null
required

Timestamp when the asynchronous job is scheduled to run. It is not a promise of completion at that time. See scheduledAt definition.

processedAt
string | null
required

Timestamp recorded for processing the event or job. It is separate from the event's underlying business date. See processedAt definition.

status
string
required

Delivery status of the event.

operation
enum<string>
required

Operation. See the schema for its JSON type and allowed values.

Available options:
INSERT,
UPDATE,
DELETE
table
string
required

Source table for this delivery, such as carrier_invoices.

resourceId
string
required

The unique identifier for the resource affected by the event.

webhookSubscriptionId
string
required

The unique identifier for the webhook subscription.

retryOfId
string | null
required

The ID of the event being retried, if applicable.

retries
object[]
required

An array of retry attempts for the event.

payload
object
required

Payload. See the schema for its JSON type and allowed values.

Response

200

Return a 200 status to indicate that the data was received successfully